Home | History | Annotate | Download | only in elfutils
      1 # Makefile.in generated by automake 1.9.2 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
      5 # 2003, 2004  Free Software Foundation, Inc.
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 srcdir = @srcdir@
     17 top_srcdir = @top_srcdir@
     18 VPATH = @srcdir@
     19 pkgdatadir = $(datadir)/@PACKAGE@
     20 pkglibdir = $(libdir)/@PACKAGE@
     21 pkgincludedir = $(includedir)/@PACKAGE@
     22 top_builddir = .
     23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     24 INSTALL = @INSTALL@
     25 install_sh_DATA = $(install_sh) -c -m 644
     26 install_sh_PROGRAM = $(install_sh) -c
     27 install_sh_SCRIPT = $(install_sh) -c
     28 INSTALL_HEADER = $(INSTALL_DATA)
     29 transform = $(program_transform_name)
     30 NORMAL_INSTALL = :
     31 PRE_INSTALL = :
     32 POST_INSTALL = :
     33 NORMAL_UNINSTALL = :
     34 PRE_UNINSTALL = :
     35 POST_UNINSTALL = :
     36 build_triplet = @build@
     37 host_triplet = @host@
     38 subdir = .
     39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
     40 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
     41 	$(top_srcdir)/config/elfutils.spec.in $(top_srcdir)/configure \
     42 	ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS THANKS TODO
     43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     44 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
     45 	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
     46 	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
     47 	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
     48 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     49 	$(ACLOCAL_M4)
     50 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     51  configure.lineno configure.status.lineno
     52 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
     53 CONFIG_HEADER = config.h
     54 CONFIG_CLEAN_FILES = elfutils.spec
     55 SOURCES =
     56 DIST_SOURCES =
     57 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     58 	html-recursive info-recursive install-data-recursive \
     59 	install-exec-recursive install-info-recursive \
     60 	install-recursive installcheck-recursive installdirs-recursive \
     61 	pdf-recursive ps-recursive uninstall-info-recursive \
     62 	uninstall-recursive
     63 ETAGS = etags
     64 CTAGS = ctags
     65 DIST_SUBDIRS = $(SUBDIRS)
     66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     67 distdir = $(PACKAGE)-$(VERSION)
     68 top_distdir = $(distdir)
     69 am__remove_distdir = \
     70   { test ! -d $(distdir) \
     71     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
     72          && rm -fr $(distdir); }; }
     73 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
     74 GZIP_ENV = --best
     75 distuninstallcheck_listfiles = find . -type f -print
     76 distcleancheck_listfiles = find . -type f -print
     77 ACLOCAL = @ACLOCAL@
     78 AMDEP_FALSE = @AMDEP_FALSE@
     79 AMDEP_TRUE = @AMDEP_TRUE@
     80 AMTAR = @AMTAR@
     81 AUTOCONF = @AUTOCONF@
     82 AUTOHEADER = @AUTOHEADER@
     83 AUTOMAKE = @AUTOMAKE@
     84 AWK = @AWK@
     85 CC = @CC@
     86 CCDEPMODE = @CCDEPMODE@
     87 CFLAGS = @CFLAGS@
     88 CPP = @CPP@
     89 CPPFLAGS = @CPPFLAGS@
     90 CYGPATH_W = @CYGPATH_W@
     91 DATADIRNAME = @DATADIRNAME@
     92 DEFS = @DEFS@
     93 DEPDIR = @DEPDIR@
     94 ECHO_C = @ECHO_C@
     95 ECHO_N = @ECHO_N@
     96 ECHO_T = @ECHO_T@
     97 EGREP = @EGREP@
     98 EXEEXT = @EXEEXT@
     99 GMSGFMT = @GMSGFMT@
    100 INSTALL_DATA = @INSTALL_DATA@
    101 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    102 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    103 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    104 INTLLIBS = @INTLLIBS@
    105 LDFLAGS = @LDFLAGS@
    106 LEX = @LEX@
    107 LEXLIB = @LEXLIB@
    108 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
    109 LIBICONV = @LIBICONV@
    110 LIBINTL = @LIBINTL@
    111 LIBOBJS = @LIBOBJS@
    112 LIBS = @LIBS@
    113 LOCALEDIR = @LOCALEDIR@
    114 LTLIBICONV = @LTLIBICONV@
    115 LTLIBINTL = @LTLIBINTL@
    116 LTLIBOBJS = @LTLIBOBJS@
    117 MAKEINFO = @MAKEINFO@
    118 MKINSTALLDIRS = @MKINSTALLDIRS@
    119 MSGFMT = @MSGFMT@
    120 MSGMERGE = @MSGMERGE@
    121 MUDFLAP_FALSE = @MUDFLAP_FALSE@
    122 MUDFLAP_TRUE = @MUDFLAP_TRUE@
    123 NATIVE_LD_FALSE = @NATIVE_LD_FALSE@
    124 NATIVE_LD_TRUE = @NATIVE_LD_TRUE@
    125 OBJEXT = @OBJEXT@
    126 PACKAGE = @PACKAGE@
    127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    128 PACKAGE_NAME = @PACKAGE_NAME@
    129 PACKAGE_STRING = @PACKAGE_STRING@
    130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    131 PACKAGE_VERSION = @PACKAGE_VERSION@
    132 PATH_SEPARATOR = @PATH_SEPARATOR@
    133 POSUB = @POSUB@
    134 RANLIB = @RANLIB@
    135 SET_MAKE = @SET_MAKE@
    136 SHELL = @SHELL@
    137 STRIP = @STRIP@
    138 USE_NLS = @USE_NLS@
    139 VERSION = @VERSION@
    140 XGETTEXT = @XGETTEXT@
    141 YACC = @YACC@
    142 ac_ct_CC = @ac_ct_CC@
    143 ac_ct_RANLIB = @ac_ct_RANLIB@
    144 ac_ct_STRIP = @ac_ct_STRIP@
    145 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    146 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
    147 am__include = @am__include@
    148 am__leading_dot = @am__leading_dot@
    149 am__quote = @am__quote@
    150 am__tar = @am__tar@
    151 am__untar = @am__untar@
    152 base_cpu = @base_cpu@
    153 bindir = @bindir@
    154 build = @build@
    155 build_alias = @build_alias@
    156 build_cpu = @build_cpu@
    157 build_os = @build_os@
    158 build_vendor = @build_vendor@
    159 datadir = @datadir@
    160 exec_prefix = @exec_prefix@
    161 host = @host@
    162 host_alias = @host_alias@
    163 host_cpu = @host_cpu@
    164 host_os = @host_os@
    165 host_vendor = @host_vendor@
    166 includedir = @includedir@
    167 infodir = @infodir@
    168 install_sh = @install_sh@
    169 libdir = @libdir@
    170 libexecdir = @libexecdir@
    171 localstatedir = @localstatedir@
    172 mandir = @mandir@
    173 mkdir_p = @mkdir_p@
    174 oldincludedir = @oldincludedir@
    175 prefix = @prefix@
    176 program_transform_name = @program_transform_name@
    177 sbindir = @sbindir@
    178 sharedstatedir = @sharedstatedir@
    179 sysconfdir = @sysconfdir@
    180 target_alias = @target_alias@
    181 ACLOCAL_AMFLAGS = -I m4
    182 mini_SUBDIRS = config m4 lib libelf libelf-po
    183 all_SUBDIRS = doc libebl libdw libcpu libasm src po tests
    184 SUBDIRS = $(mini_SUBDIRS) $(all_SUBDIRS)
    185 EXTRA_DIST = splint.rc elfutils.spec GPG-KEY NOTES COPYING.GPL
    186 all: config.h
    187 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
    188 
    189 .SUFFIXES:
    190 am--refresh:
    191 	@:
    192 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    193 	@for dep in $?; do \
    194 	  case '$(am__configure_deps)' in \
    195 	    *$$dep*) \
    196 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnits '; \
    197 	      cd $(srcdir) && $(AUTOMAKE) --gnits  \
    198 		&& exit 0; \
    199 	      exit 1;; \
    200 	  esac; \
    201 	done; \
    202 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  Makefile'; \
    203 	cd $(top_srcdir) && \
    204 	  $(AUTOMAKE) --gnits  Makefile
    205 .PRECIOUS: Makefile
    206 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    207 	@case '$?' in \
    208 	  *config.status*) \
    209 	    echo ' $(SHELL) ./config.status'; \
    210 	    $(SHELL) ./config.status;; \
    211 	  *) \
    212 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
    213 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    214 	esac;
    215 
    216 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    217 	$(SHELL) ./config.status --recheck
    218 
    219 $(top_srcdir)/configure:  $(am__configure_deps)
    220 	cd $(srcdir) && $(AUTOCONF)
    221 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    222 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    223 
    224 config.h: stamp-h1
    225 	@if test ! -f $@; then \
    226 	  rm -f stamp-h1; \
    227 	  $(MAKE) stamp-h1; \
    228 	else :; fi
    229 
    230 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    231 	@rm -f stamp-h1
    232 	cd $(top_builddir) && $(SHELL) ./config.status config.h
    233 $(srcdir)/config.h.in:  $(am__configure_deps) 
    234 	cd $(top_srcdir) && $(AUTOHEADER)
    235 	rm -f stamp-h1
    236 	touch $@
    237 
    238 distclean-hdr:
    239 	-rm -f config.h stamp-h1
    240 elfutils.spec: $(top_builddir)/config.status $(top_srcdir)/config/elfutils.spec.in
    241 	cd $(top_builddir) && $(SHELL) ./config.status $@
    242 uninstall-info-am:
    243 
    244 # This directory's subdirectories are mostly independent; you can cd
    245 # into them and run `make' without going through this Makefile.
    246 # To change the values of `make' variables: instead of editing Makefiles,
    247 # (1) if the variable is set in `config.status', edit `config.status'
    248 #     (which will cause the Makefiles to be regenerated when you run `make');
    249 # (2) otherwise, pass the desired values on the `make' command line.
    250 $(RECURSIVE_TARGETS):
    251 	@set fnord $$MAKEFLAGS; amf=$$2; \
    252 	dot_seen=no; \
    253 	target=`echo $@ | sed s/-recursive//`; \
    254 	list='$(SUBDIRS)'; for subdir in $$list; do \
    255 	  echo "Making $$target in $$subdir"; \
    256 	  if test "$$subdir" = "."; then \
    257 	    dot_seen=yes; \
    258 	    local_target="$$target-am"; \
    259 	  else \
    260 	    local_target="$$target"; \
    261 	  fi; \
    262 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    263 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
    264 	done; \
    265 	if test "$$dot_seen" = "no"; then \
    266 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    267 	fi; test -z "$$fail"
    268 
    269 mostlyclean-recursive clean-recursive distclean-recursive \
    270 maintainer-clean-recursive:
    271 	@set fnord $$MAKEFLAGS; amf=$$2; \
    272 	dot_seen=no; \
    273 	case "$@" in \
    274 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    275 	  *) list='$(SUBDIRS)' ;; \
    276 	esac; \
    277 	rev=''; for subdir in $$list; do \
    278 	  if test "$$subdir" = "."; then :; else \
    279 	    rev="$$subdir $$rev"; \
    280 	  fi; \
    281 	done; \
    282 	rev="$$rev ."; \
    283 	target=`echo $@ | sed s/-recursive//`; \
    284 	for subdir in $$rev; do \
    285 	  echo "Making $$target in $$subdir"; \
    286 	  if test "$$subdir" = "."; then \
    287 	    local_target="$$target-am"; \
    288 	  else \
    289 	    local_target="$$target"; \
    290 	  fi; \
    291 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    292 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
    293 	done && test -z "$$fail"
    294 tags-recursive:
    295 	list='$(SUBDIRS)'; for subdir in $$list; do \
    296 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
    297 	done
    298 ctags-recursive:
    299 	list='$(SUBDIRS)'; for subdir in $$list; do \
    300 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
    301 	done
    302 
    303 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    304 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    305 	unique=`for i in $$list; do \
    306 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    307 	  done | \
    308 	  $(AWK) '    { files[$$0] = 1; } \
    309 	       END { for (i in files) print i; }'`; \
    310 	mkid -fID $$unique
    311 tags: TAGS
    312 
    313 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    314 		$(TAGS_FILES) $(LISP)
    315 	tags=; \
    316 	here=`pwd`; \
    317 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    318 	  include_option=--etags-include; \
    319 	  empty_fix=.; \
    320 	else \
    321 	  include_option=--include; \
    322 	  empty_fix=; \
    323 	fi; \
    324 	list='$(SUBDIRS)'; for subdir in $$list; do \
    325 	  if test "$$subdir" = .; then :; else \
    326 	    test ! -f $$subdir/TAGS || \
    327 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
    328 	  fi; \
    329 	done; \
    330 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    331 	unique=`for i in $$list; do \
    332 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    333 	  done | \
    334 	  $(AWK) '    { files[$$0] = 1; } \
    335 	       END { for (i in files) print i; }'`; \
    336 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
    337 	  test -n "$$unique" || unique=$$empty_fix; \
    338 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    339 	    $$tags $$unique; \
    340 	fi
    341 ctags: CTAGS
    342 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    343 		$(TAGS_FILES) $(LISP)
    344 	tags=; \
    345 	here=`pwd`; \
    346 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    347 	unique=`for i in $$list; do \
    348 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    349 	  done | \
    350 	  $(AWK) '    { files[$$0] = 1; } \
    351 	       END { for (i in files) print i; }'`; \
    352 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
    353 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    354 	     $$tags $$unique
    355 
    356 GTAGS:
    357 	here=`$(am__cd) $(top_builddir) && pwd` \
    358 	  && cd $(top_srcdir) \
    359 	  && gtags -i $(GTAGS_ARGS) $$here
    360 
    361 distclean-tags:
    362 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    363 
    364 distdir: $(DISTFILES)
    365 	@case `sed 15q $(srcdir)/NEWS` in \
    366 	*"$(VERSION)"*) : ;; \
    367 	*) \
    368 	  echo "NEWS not updated; not releasing" 1>&2; \
    369 	  exit 1;; \
    370 	esac
    371 	$(am__remove_distdir)
    372 	mkdir $(distdir)
    373 	$(mkdir_p) $(distdir)/config $(distdir)/libelf-po $(distdir)/m4 $(distdir)/po
    374 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
    375 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
    376 	list='$(DISTFILES)'; for file in $$list; do \
    377 	  case $$file in \
    378 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
    379 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
    380 	  esac; \
    381 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    382 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
    383 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
    384 	    dir="/$$dir"; \
    385 	    $(mkdir_p) "$(distdir)$$dir"; \
    386 	  else \
    387 	    dir=''; \
    388 	  fi; \
    389 	  if test -d $$d/$$file; then \
    390 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    391 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
    392 	    fi; \
    393 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
    394 	  else \
    395 	    test -f $(distdir)/$$file \
    396 	    || cp -p $$d/$$file $(distdir)/$$file \
    397 	    || exit 1; \
    398 	  fi; \
    399 	done
    400 	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    401 	  if test "$$subdir" = .; then :; else \
    402 	    test -d "$(distdir)/$$subdir" \
    403 	    || $(mkdir_p) "$(distdir)/$$subdir" \
    404 	    || exit 1; \
    405 	    distdir=`$(am__cd) $(distdir) && pwd`; \
    406 	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
    407 	    (cd $$subdir && \
    408 	      $(MAKE) $(AM_MAKEFLAGS) \
    409 	        top_distdir="$$top_distdir" \
    410 	        distdir="$$distdir/$$subdir" \
    411 	        distdir) \
    412 	      || exit 1; \
    413 	  fi; \
    414 	done
    415 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
    416 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    417 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    418 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
    419 	|| chmod -R a+r $(distdir)
    420 dist-gzip: distdir
    421 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    422 	$(am__remove_distdir)
    423 dist-bzip2: distdir
    424 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    425 	$(am__remove_distdir)
    426 
    427 dist-tarZ: distdir
    428 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    429 	$(am__remove_distdir)
    430 
    431 dist-shar: distdir
    432 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    433 	$(am__remove_distdir)
    434 
    435 dist-zip: distdir
    436 	-rm -f $(distdir).zip
    437 	zip -rq $(distdir).zip $(distdir)
    438 	$(am__remove_distdir)
    439 
    440 dist dist-all: distdir
    441 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    442 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    443 	$(am__remove_distdir)
    444 
    445 # This target untars the dist file and tries a VPATH configuration.  Then
    446 # it guarantees that the distribution is self-contained by making another
    447 # tarfile.
    448 distcheck: dist
    449 	case '$(DIST_ARCHIVES)' in \
    450 	*.tar.gz*) \
    451 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
    452 	*.tar.bz2*) \
    453 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
    454 	*.tar.Z*) \
    455 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    456 	*.shar.gz*) \
    457 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
    458 	*.zip*) \
    459 	  unzip $(distdir).zip ;;\
    460 	esac
    461 	chmod -R a-w $(distdir); chmod a+w $(distdir)
    462 	mkdir $(distdir)/_build
    463 	mkdir $(distdir)/_inst
    464 	chmod a-w $(distdir)
    465 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    466 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    467 	  && $(MAKE) $(AM_MAKEFLAGS) distcheck-hook \
    468 	  && cd $(distdir)/_build \
    469 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    470 	    $(DISTCHECK_CONFIGURE_FLAGS) \
    471 	  && $(MAKE) $(AM_MAKEFLAGS) \
    472 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    473 	  && $(MAKE) $(AM_MAKEFLAGS) check \
    474 	  && $(MAKE) $(AM_MAKEFLAGS) install \
    475 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    476 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    477 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    478 	        distuninstallcheck \
    479 	  && chmod -R a-w "$$dc_install_base" \
    480 	  && ({ \
    481 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    482 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    483 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    484 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    485 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    486 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    487 	  && rm -rf "$$dc_destdir" \
    488 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    489 	  && rm -rf $(DIST_ARCHIVES) \
    490 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
    491 	$(am__remove_distdir)
    492 	@(echo "$(distdir) archives ready for distribution: "; \
    493 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    494 	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
    495 distuninstallcheck:
    496 	@cd $(distuninstallcheck_dir) \
    497 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
    498 	   || { echo "ERROR: files left after uninstall:" ; \
    499 	        if test -n "$(DESTDIR)"; then \
    500 	          echo "  (check DESTDIR support)"; \
    501 	        fi ; \
    502 	        $(distuninstallcheck_listfiles) ; \
    503 	        exit 1; } >&2
    504 distcleancheck: distclean
    505 	@if test '$(srcdir)' = . ; then \
    506 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    507 	  exit 1 ; \
    508 	fi
    509 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    510 	  || { echo "ERROR: files left in build directory after distclean:" ; \
    511 	       $(distcleancheck_listfiles) ; \
    512 	       exit 1; } >&2
    513 check-am: all-am
    514 check: check-recursive
    515 all-am: Makefile config.h
    516 installdirs: installdirs-recursive
    517 installdirs-am:
    518 install: install-recursive
    519 install-exec: install-exec-recursive
    520 install-data: install-data-recursive
    521 uninstall: uninstall-recursive
    522 
    523 install-am: all-am
    524 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    525 
    526 installcheck: installcheck-recursive
    527 install-strip:
    528 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    529 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    530 	  `test -z '$(STRIP)' || \
    531 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
    532 mostlyclean-generic:
    533 
    534 clean-generic:
    535 
    536 distclean-generic:
    537 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    538 
    539 maintainer-clean-generic:
    540 	@echo "This command is intended for maintainers to use"
    541 	@echo "it deletes files that may require special tools to rebuild."
    542 clean: clean-recursive
    543 
    544 clean-am: clean-generic mostlyclean-am
    545 
    546 distclean: distclean-recursive
    547 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    548 	-rm -f Makefile
    549 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
    550 
    551 dvi: dvi-recursive
    552 
    553 dvi-am:
    554 
    555 html: html-recursive
    556 
    557 info: info-recursive
    558 
    559 info-am:
    560 
    561 install-data-am:
    562 
    563 install-exec-am:
    564 
    565 install-info: install-info-recursive
    566 
    567 install-man:
    568 
    569 installcheck-am:
    570 
    571 maintainer-clean: maintainer-clean-recursive
    572 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    573 	-rm -rf $(top_srcdir)/autom4te.cache
    574 	-rm -f Makefile
    575 maintainer-clean-am: distclean-am maintainer-clean-generic
    576 
    577 mostlyclean: mostlyclean-recursive
    578 
    579 mostlyclean-am: mostlyclean-generic
    580 
    581 pdf: pdf-recursive
    582 
    583 pdf-am:
    584 
    585 ps: ps-recursive
    586 
    587 ps-am:
    588 
    589 uninstall-am: uninstall-info-am
    590 
    591 uninstall-info: uninstall-info-recursive
    592 
    593 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
    594 	check-am clean clean-generic clean-recursive ctags \
    595 	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
    596 	dist-tarZ dist-zip distcheck distclean distclean-generic \
    597 	distclean-hdr distclean-recursive distclean-tags \
    598 	distcleancheck distdir distuninstallcheck dvi dvi-am html \
    599 	html-am info info-am install install-am install-data \
    600 	install-data-am install-exec install-exec-am install-info \
    601 	install-info-am install-man install-strip installcheck \
    602 	installcheck-am installdirs installdirs-am maintainer-clean \
    603 	maintainer-clean-generic maintainer-clean-recursive \
    604 	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
    605 	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
    606 	uninstall-info-am
    607 
    608 
    609 distcheck-hook:
    610 	chmod -R u+w $(distdir)
    611 
    612 rpm: dist
    613 	rpmbuild -ts --sign elfutils-@PACKAGE_VERSION (a] .tar.gz
    614 
    615 # Tell version 3.79 and up of GNU make to not build goals in this
    616 # directory in parallel.
    617 .NOTPARALLEL:
    618 # Tell versions [3.59,3.63) of GNU make to not export all variables.
    619 # Otherwise a system limit (for SysV at least) may be exceeded.
    620 .NOEXPORT:
    621